---
title: WebGLRenderingContext.colorMask()
slug: Web/API/WebGLRenderingContext/colorMask
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.colorMask()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> sets which color components to enable or to disable when drawing or rendering to a {{domxref("WebGLFramebuffer")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.colorMask(<var>red, green, blue, alpha</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>red</code></dt>
 <dd>A {{domxref("GLboolean")}} specifying whether or not the red color component can be written into the frame buffer. Default value: <code>true</code>.</dd>
 <dt><code>green</code></dt>
 <dd>A {{domxref("GLboolean")}} specifying whether or not the green color component can be written into the frame buffer. Default value: <code>true</code>.</dd>
 <dt><code>blue</code></dt>
 <dd>A {{domxref("GLboolean")}} specifying whether or not the blue color component can be written into the frame buffer. Default value: <code>true</code>.</dd>
 <dt><code>alpha</code></dt>
 <dd>A {{domxref("GLboolean")}} specifying whether or not the alpha (transparency) component can be written into the frame buffer. Default value: <code>true</code>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">gl.colorMask(true, true, true, false);
</pre>

<p>To get the current color mask, query the <code>COLOR_WRITEMASK</code> constant which returns an {{jsxref("Array")}}.</p>

<pre class="brush: js">gl.getParameter(gl.COLOR_WRITEMASK);
// [true, true, true, false]
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.3", "colorMask")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glColorMask.xml", "glColorMask")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.colorMask")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.depthMask()")}}</li>
 <li>{{domxref("WebGLRenderingContext.stencilMask()")}}</li>
</ul>
